import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconSquareX as IconSquareXClass } from "../../../../components/icon/icons/square-x.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconSquareX = (props) => {
  IconSquareXClass.define();
  const JSXElement = getReactComponent("gds-icon-square-x");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconSquareX.displayName = "IconSquareX";
export {
  IconSquareX
};
